Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# TAO_RequestInfo_Util Class Reference

Helper class that provides methods useful for both PortableInterceptor::ClientRequestInfo and PortableInterceptor::ServerRequestInfo objects. More...

`#include <RequestInfo_Util.h>`

List of all members.

## Static Public Methods
Factory Methods
These are methods called by TAO_{Client,Server}RequestInfo and their subclasses. Rather than having the same factory code in each subclass, we factor the common code in to this utility class.
Dynamic::ParameterList * | make_parameter_list (ACE_ENV_SINGLE_ARG_DECL)
Dynamic::ExceptionList * | make_exception_list (ACE_ENV_SINGLE_ARG_DECL)
Dynamic::ContextList * | make_context_list (ACE_ENV_SINGLE_ARG_DECL)
Dynamic::RequestContext * | make_request_context (ACE_ENV_SINGLE_ARG_DECL)
CORBA::Any * | make_any (CORBA::Boolean tk_void_any ACE_ENV_ARG_DECL)

## Detailed Description

Helper class that provides methods useful for both PortableInterceptor::ClientRequestInfo and PortableInterceptor::ServerRequestInfo objects.

## Member Function Documentation

CORBA::Any * TAO_RequestInfo_Util::make_any | ( | CORBA::Boolean tk_void_any | ACE_ENV_ARG_DECL | ) | `[static]`

Dynamic::ContextList * TAO_RequestInfo_Util::make_context_list | ( | ACE_ENV_SINGLE_ARG_DECL |  | ) | `[static]`

Dynamic::ExceptionList * TAO_RequestInfo_Util::make_exception_list | ( | ACE_ENV_SINGLE_ARG_DECL |  | ) | `[static]`

Dynamic::ParameterList * TAO_RequestInfo_Util::make_parameter_list | ( | ACE_ENV_SINGLE_ARG_DECL |  | ) | `[static]`

Dynamic::RequestContext * TAO_RequestInfo_Util::make_request_context | ( | ACE_ENV_SINGLE_ARG_DECL |  | ) | `[static]`

The documentation for this class was generated from the following files:

- RequestInfo_Util.h
- RequestInfo_Util.cpp